## org.aspectj.weaver.loadtime.definition
Class Definition.DeclareAnnotation

    java.lang.Object
      org.aspectj.weaver.loadtime.definition.Definition.DeclareAnnotation

Enclosing class:
  Definition

    public static class Definition.DeclareAnnotation

extends java.lang.Object

Field Summary
`java.lang.String` `annotation`
`Definition.DeclareAnnotationKind` `declareAnnotationKind`
`java.lang.String` `pattern`

Constructor Summary
`Definition.DeclareAnnotation(Definition.DeclareAnnotationKind kind, java.lang.String pattern, java.lang.String annotation)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declareAnnotationKind

    public final Definition.DeclareAnnotationKind declareAnnotationKind

### pattern

    public final java.lang.String pattern

### annotation

    public final java.lang.String annotation

Constructor Detail

### Definition.DeclareAnnotation

    public Definition.DeclareAnnotation(Definition.DeclareAnnotationKind kind,
                                        java.lang.String pattern,
                                        java.lang.String annotation)